/***********************************************************
* Zeus CMD - C++ Tutorial 43 : String - Number Conversions *
* By Grant James (ZEUS)                                    *
* http://www.zeuscmd.com                                   *
***********************************************************/
#include <iostream>
#include <stdlib.h>
#include <sstream>

using namespace std;

int main()
{
	// C Conversions
	//---------------
	char *cstrval = "65";
	char cstrval2[50];
	int cval = 0;

	cval = atoi(cstrval);
	cout << cval << endl;

	itoa(cval, cstrval2, 10);
	cout << cstrval2 << endl;

	// C++ Conversions
	//-----------------
	int cppval = 0;

	string s = "32";
	string s2 = "";
	string s3 = "";

	stringstream ssout(s);
	
	ssout >> cppval;

	cout << cppval << endl;
	
	stringstream ssin(s2, ios_base::out);

	ssin << cppval;
	
	s2 = ssin.str();
	cout << s2 << endl;

	stringstream ssboth(s3, ios_base::in | ios_base::out);

	ssboth << "Hello";
	ssboth >> s2;
	
	cout << ssboth.str() << endl;
	cout << s2 << endl;

	system("pause");

	return 0;
}